#
# spec file for package perl-HTML-FromText
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname HTML-FromText

Name:           perl-%{modname}
Version:        2.05
Release:        5.1
Summary:        Convert plain text to HTML
Requires:       perl = %{perl_version} perl-Email-Find perl-Exporter-Lite
Requires:       perl-HTML-Parser
BuildRequires:  perl perl-Email-Find perl-Exporter-Lite perl-HTML-Parser perl-macros
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
"HTML::FromText" converts plain text to HTML. There are a handfull of options
that shape the conversion.

Authors:
--------
    Casey West <casey@geeknest.com>
    Gareth Rees <garethr@cre.canon.co.uk>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
# One of these tests fails on SUSE 10.1 and up, but the results are actually
# fine. I'm too lazy to fix the test, so I'll just disable it...
%if %suse_version < 1010
make test
%endif

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes ext
%doc %{_mandir}/man?/*
/usr/bin/text2html
%{perl_vendorlib}/HTML/FromText.pm
%{perl_vendorarch}/auto/HTML/FromText

%changelog
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Wed Jun 21 2006 jfunk@funktronics.ca
- Disable test on SL 10.1 and up
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Update
- Build for SL91
* Sat Nov  1 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Initial build
